#pragma once

enum LevelChangePhase {
  // initial state
  LCP_NOCHANGE = 0,
  // ->initiation->
  LCP_INITIATED,
  // ->pre-change signalled->
  LCP_SIGNALLED,
  // ->change done->
  LCP_CHANGED,
  // ->post-change signalled->
  //LCP_NOCHANGE
};

extern LevelChangePhase _lphCurrent;

class CRememberedLevel {
public:
  CListNode rl_lnInSessionState;      // for linking in list of all remembered levels
  CTString rl_strFileName;            // file name of the level
  CTMemoryStream rl_strmSessionState; // saved session state
};